matrix.hpp File Reference
`#include <algorithm>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

template<class A>
Slice< A >::ArgsType | Gecode::operator+ (const Slice< A > &x, const Slice< A > &y)
| Concatenate x and y.
template<class A>
Slice< A >::ArgsType | Gecode::operator+ (const Slice< A > &x, const typename ArrayTraits< A >::ArgsType &y)
| Concatenate x and y.
template<class A>
Slice< A >::ArgsType | Gecode::operator+ (const typename ArrayTraits< A >::ArgsType &x, const Slice< A > &y)
| Concatenate x and y.
template<class A>
Slice< A >::ArgsType | Gecode::operator+ (const Slice< A > &x, const typename ArrayTraits< A >::ValueType &y)
| Concatenate x and y.
template<class A>
Slice< A >::ArgsType | Gecode::operator+ (const typename ArrayTraits< A >::ValueType &x, const Slice< A > &y)
| Concatenate x and y.
template<class Char, class Traits, class A>
std::basic_ostream< Char, Traits > & | Gecode::operator<< (std::basic_ostream< Char, Traits > &os, const Matrix< A > &m)
template<class Char, class Traits, class A>
std::basic_ostream< Char, Traits > & | Gecode::operator<< (std::basic_ostream< Char, Traits > &os, const Slice< A > &s)
void | Gecode::element (Home home, const Matrix< IntArgs > &m, IntVar x, IntVar y, IntVar z, IntPropLevel ipl)
void | Gecode::element (Home home, const Matrix< IntArgs > &m, IntVar x, IntVar y, BoolVar z, IntPropLevel ipl)
void | Gecode::element (Home home, const Matrix< IntVarArgs > &m, IntVar x, IntVar y, IntVar z, IntPropLevel ipl)
void | Gecode::element (Home home, const Matrix< BoolVarArgs > &m, IntVar x, IntVar y, BoolVar z, IntPropLevel ipl)
void | Gecode::element (Home home, const Matrix< IntSetArgs > &m, IntVar x, IntVar y, SetVar z)
void | Gecode::element (Home home, const Matrix< SetVarArgs > &m, IntVar x, IntVar y, SetVar z)